## START: Set by rpmautospec
## (rpmautospec version 0.3.8)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name gql

Name:           python-%{pypi_name}
Version:        3.5.0b8
Release:        %autorelease
Summary:        GraphQL Client for Python 3.6+

License:        MIT
URL:            https://github.com/graphql-python/gql
Source:         https://github.com/graphql-python/gql/archive/v%{version}/v%{version}.tar.gz
BuildArch:      noarch

%description
GraphQL Client for Python 3.6+ which plays nicely with other graphql
implementations compatible with the spec. Under the hood, it uses 
GraphQL-core which is a Python port of GraphQL.js, the JavaScript
reference implementation for GraphQL.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

Requires:       python3-graphql-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a GraphQL client for Python 3.6+. Plays nicely with graphene
graphql-core, graphql-js and any other GraphQL implementation compatible
with the spec. GQL architecture is inspired by React-Relay and Apollo-Client.

%prep
%autosetup -n gql-%{version} -N
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
/usr/bin/gql-cli
%{python3_sitelib}/gql-%{version}-py%{python3_version}.egg-info/*
%{python3_sitelib}/gql/*.py
%{python3_sitelib}/gql/__pycache__/*.pyc
%{python3_sitelib}/gql/py.typed
%{python3_sitelib}/gql/transport/*.py
%{python3_sitelib}/gql/transport/__pycache__/*.pyc
%{python3_sitelib}/gql/utilities/*.py
%{python3_sitelib}/gql/utilities/__pycache__/*.pyc
%changelog
## START: Generated by rpmautospec
* Wed Dec 06 2023 Andrej Manduch <amanduch@gmail.com> - 3.5.0b8-2
- Uncommitted changes

* Mon Dec 04 2023 Andrej Manduch <amanduch@gmail.com> - 3.5.0b8-1
- initial commit
## END: Generated by rpmautospec
